*** a/src/bin/psql/command.c
--- b/src/bin/psql/command.c
***************
*** 303,313 **** exec_command(const char *cmd,
  		if (!db)
  			printf("You are not connected.\n");
  		else if (host)
! 			printf("You are connected to database \"%s\" on host \"%s\" at port \"%s\" as user \"%s\".\n",
! 				   db, host, PQport(pset.db), PQuser(pset.db));
  		else
! 			printf("You are connected to database \"%s\" via local socket at port \"%s\" as user \"%s\".\n",
! 				   db, PQport(pset.db), PQuser(pset.db));
  	}
  
  	/* \copy */
--- 303,320 ----
  		if (!db)
  			printf("You are not connected.\n");
  		else if (host)
! 		{
! 			/* If the host is an absolute path, the connection is via local socket */
! 			if (is_absolute_path(host))
! 				printf("You are connected to database \"%s\" via local socket on \"%s\" at port \"%s\" as user \"%s\".\n",
! 					   db, host, PQport(pset.db), PQuser(pset.db));
! 			else
! 				printf("You are connected to database \"%s\" on host \"%s\" at port \"%s\" as user \"%s\".\n",
! 					   db, host, PQport(pset.db), PQuser(pset.db));
! 		}
  		else
! 			printf("You are connected to database \"%s\" via local socket on \"%s\" at port \"%s\" as user \"%s\".\n",
! 				   db, DEFAULT_PGSOCKET_DIR, PQport(pset.db), PQuser(pset.db));
  	}
  
  	/* \copy */
***************
*** 1366,1372 **** do_connect(char *dbname, char *user, char *host, char *port)
  		printf(_("You are now connected to database \"%s\""), PQdb(pset.db));
  
  		if (param_is_newly_set(PQhost(o_conn), PQhost(pset.db)))
! 			printf(_(" on host \"%s\""), PQhost(pset.db));
  
  		if (param_is_newly_set(PQport(o_conn), PQport(pset.db)))
  			printf(_(" at port \"%s\""), PQport(pset.db));
--- 1373,1387 ----
  		printf(_("You are now connected to database \"%s\""), PQdb(pset.db));
  
  		if (param_is_newly_set(PQhost(o_conn), PQhost(pset.db)))
! 		{
! 			char	*host = PQhost(pset.db);
! 
! 			/* If the host is an absolute path, the connection is via local socket */
! 			if (is_absolute_path(host))
! 				printf(_(" via local socket on \"%s\""), host);
! 			else
! 				printf(_(" on host \"%s\""), host);
! 		}
  
  		if (param_is_newly_set(PQport(o_conn), PQport(pset.db)))
  			printf(_(" at port \"%s\""), PQport(pset.db));
